<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSoftKeyTemplateReq StructType
 * @subpackage Structs
 */
class AddSoftKeyTemplateReq extends APIRequest
{
    /**
     * The softKeyTemplate
     * @var XSoftKeyTemplate
     */
    public $softKeyTemplate;
    /**
     * Constructor method for AddSoftKeyTemplateReq
     * @uses AddSoftKeyTemplateReq::setSoftKeyTemplate()
     * @param XSoftKeyTemplate $softKeyTemplate
     */
    public function __construct(XSoftKeyTemplate $softKeyTemplate = null)
    {
        $this
            ->setSoftKeyTemplate($softKeyTemplate);
    }
    /**
     * Get softKeyTemplate value
     * @return XSoftKeyTemplate|null
     */
    public function getSoftKeyTemplate()
    {
        return $this->softKeyTemplate;
    }
    /**
     * Set softKeyTemplate value
     * @param XSoftKeyTemplate $softKeyTemplate
     * @return AddSoftKeyTemplateReq
     */
    public function setSoftKeyTemplate(XSoftKeyTemplate $softKeyTemplate = null)
    {
        $this->softKeyTemplate = $softKeyTemplate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSoftKeyTemplateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
